Get connections used by a list of playbooks
curl --request POST \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/get-playbooks-used-connections \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"playbook_ids": [
"<string>"
]
}
'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/get-playbooks-used-connections"
payload = { "playbook_ids": ["<string>"] }
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({playbook_ids: ['<string>']})
};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/get-playbooks-used-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"connectionName": "<string>",
"iconURI": "<string>",
"usedIn": 123,
"vendor": "<string>"
}
]{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Workflows
Get connections used by a list of playbooks
Returns the list of connections (with vendor info) that are referenced by the given playbook IDs.
POST
/
workspace
/
{ws_id}
/
playbooks
/
get-playbooks-used-connections
Get connections used by a list of playbooks
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Body
application/json
List of playbook IDs to inspect
Was this page helpful?
⌘I